function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

//@ts-ignore
import { Plugin, PluginType } from '@segment/analytics-react-native';
import { NativeModules } from 'react-native';
export class AdvertisingIdPlugin extends Plugin {
  constructor() {
    super(...arguments);

    _defineProperty(this, "type", PluginType.enrichment);
  }

  configure(analytics) {
    this.analytics = analytics;
    NativeModules.AnalyticsReactNativePluginAdvertisingId.getAdvertisingId().then(id => {
      if (id === null) {
        analytics.track('LimitAdTrackingEnabled (Google Play Services) is enabled');
      } else {
        this.setContext(id);
      }
    });
  }

  setContext(id) {
    var _this$analytics;

    (_this$analytics = this.analytics) === null || _this$analytics === void 0 ? void 0 : _this$analytics.context.set({
      device: {
        advertisingId: id,
        adTrackingEnabled: true
      }
    });
  }

}
//# sourceMappingURL=AdvertisingIdPlugin.js.map